<?xml version="1.0" encoding="UTF-8"?>
<node>
	<title>Principes des attributs</title>
	<section>
		<p>Tout élement (texte, paragraphe, zones spéciales) peut être doté de n’importe quel attribut, en particulier les attributs HTML classiques. L’attribut le plus courant est l’attribut <s type="var" att-class="cm-attribute">class</s> indiquant une ou plusieurs classes CSS, c’est pourquoi il bénéficie d’un raccourci&#x00A0;: il est indiqué par son initiale <s type="var" att-class="cm-attribute">c</s>. Il existe un raccourci supplémentaire pour les classes Codemirror commençant par <s type="var">cm-</s>, il suffit d’indiquer <s type="var" att-class="cm-attribute">cm</s> suivi du nom de la classe moins le préfixe <s type="var">cm-</s>.</p>
		<p>Un attribut commençant par un tiret <s type="var">-</s> sera traité comme un attribut <s type="var">data-</s>.</p>
		<ul variant="dl">
			<li>
				<p><s type="code" syntax="ficheblock" cdata="&lt;span class=&quot;cm-operator&quot;&gt;[&lt;/span&gt;&lt;span class=&quot;cm-ficheblock-initial&quot;&gt;&amp;&lt;/span&gt;&lt;span class=&quot;cm-operator&quot;&gt;(&lt;/span&gt;&lt;span class=&quot;cm-ficheblock-attname&quot;&gt;cm=&lt;/span&gt;&lt;span class=&quot;cm-ficheblock-attvalue&quot;&gt;tag&lt;/span&gt;&lt;span class=&quot;cm-operator&quot;&gt;)&lt;/span&gt; &lt;span class=&quot;cm-ficheblock-span-tech&quot;&gt;exemple &lt;/span&gt;&lt;span class=&quot;cm-operator&quot;&gt;]&lt;/span&gt;">[v(cm=tag) exemple ]</s></p>
				<p>Donne à au texte <s type="code" att-class="cm-ficheblock-span-tech">exemple</s>, la classe <s type="code" att-class="cm-ficheblock-attvalue">cm-tag</s></p>
			</li>
			<li>
				<p><s type="code" syntax="ficheblock" cdata="&lt;span class=&quot;cm-operator&quot;&gt;[&lt;/span&gt;&lt;span class=&quot;cm-ficheblock-initial&quot;&gt;a&lt;/span&gt;&lt;span class=&quot;cm-operator&quot;&gt;(&lt;/span&gt;&lt;span class=&quot;cm-ficheblock-ref&quot;&gt;http://www.fichotheque.net&lt;/span&gt; &lt;span class=&quot;cm-ficheblock-attname&quot;&gt;c=&lt;/span&gt;&lt;span class=&quot;cm-string&quot;&gt;&quot;TAC cm-link&quot;&lt;/span&gt; &lt;span class=&quot;cm-ficheblock-attname&quot;&gt;hreflang=&lt;/span&gt;&lt;span class=&quot;cm-ficheblock-attvalue&quot;&gt;fr&lt;/span&gt;&lt;span class=&quot;cm-operator&quot;&gt;)&lt;/span&gt; texte&lt;span class=&quot;cm-operator&quot;&gt;]&lt;/span&gt;">[a(http://www.fichotheque.net c=&quot;TAC cm-link&quot; hreflang=fr) texte]</s></p>
				<p>Si une référence est présente (une URL dans cet exemple), elle est placée avant les attributs, les attributs sont séparés par des espaces, il faut utiliser des guillemets lorsque la valeur de l’attribut contient une espace</p>
			</li>
			<li>
				<p><s type="code" syntax="ficheblock" cdata="&lt;span class=&quot;cm-operator&quot;&gt;[&lt;/span&gt;&lt;span class=&quot;cm-operator&quot;&gt;(&lt;/span&gt;&lt;span class=&quot;cm-ficheblock-attname&quot;&gt;c=&lt;/span&gt;&lt;span class=&quot;cm-ficheblock-attvalue&quot;&gt;TAR&lt;/span&gt;&lt;span class=&quot;cm-operator&quot;&gt;)&lt;/span&gt;&lt;span class=&quot;cm-operator&quot;&gt;]&lt;/span&gt; &lt;span class=&quot;cm-ficheblock-firstchars&quot;&gt;##&lt;/span&gt;&lt;span class=&quot; cm-ficheblock-hcontent&quot;&gt;texte du paragraphe&lt;/span&gt;">[(c=TAR)]## texte du paragraphe</s></p>
				<p>Dans le cas des paragraphes, les attributs sont déclarés en début de ligne, avant d’éventuels caractères indiquant le style du paragraphe</p>
			</li>
			<li>
				<p><s type="code" syntax="ficheblock" cdata="&lt;span class=&quot;cm-operator&quot;&gt;[&lt;/span&gt;&lt;span class=&quot;cm-operator&quot;&gt;(&lt;/span&gt;&lt;span class=&quot;cm-ficheblock-attname&quot;&gt;id=&lt;/span&gt;&lt;span class=&quot;cm-ficheblock-attvalue&quot;&gt;Table_evolution&lt;/span&gt; &lt;span class=&quot;cm-ficheblock-attname&quot;&gt;-info=&lt;/span&gt;&lt;span class=&quot;cm-string&quot;&gt;&quot;pagination hidden&quot;&lt;/span&gt;&lt;span class=&quot;cm-operator&quot;&gt;)&lt;/span&gt;&lt;span class=&quot;cm-operator&quot;&gt;]&lt;/span&gt; ">[(id=Table_evolution -info=&quot;pagination hidden&quot;)]</s><s type="br"/><s type="code" syntax="ficheblock" cdata="&lt;span class=&quot;cm-ficheblock-table cm-ficheblock-zone-firstchars&quot;&gt;===&lt;/span&gt;">===</s></p>
				<p>Dans le cas des zones spéciales, les attributs sont déclarés sur la ligne qui précède la séquence d’ouverture de la zone (idem pour les listes)&#x202F;; le tableau aura comme attribut <s type="code" att-class="cm-attribute">data-info=&quot;pagination hidden&quot;</s></p>
			</li>
		</ul>
	</section>
</node>